package net.wanji.utc.hisense.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * @author duanruiming
 * @date 2023/08/30 15:24
 */
@Getter
@AllArgsConstructor
@RequiredArgsConstructor
public enum DataBrainLampStatusEnum {
    // 灯色，22-黄灯，23-绿灯，21-红灯
    RED("red", "21"),
    YELLOW("yellow", "22"),
    GREEN("green", "23"),
    CLOSE("off", "11");

    private String wjLampStatus;
    private String hisenseLamStatus;

    public static String getWjLampStatus(String hisenseLamStatus) {
        for (DataBrainLampStatusEnum value : DataBrainLampStatusEnum.values()) {
            if (StringUtils.equals(hisenseLamStatus, value.getHisenseLamStatus())) {
                return value.getWjLampStatus();
            }
        }
        return null;
    }

}
