package net.wanji.utc.hisense.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/08/30 15:48
 */
@Getter
@AllArgsConstructor
@RequiredArgsConstructor
public enum DataBrainTurnEnum {
    // 数据大脑 转向11:直行，12:左转，13:右转, 31:掉头，99:其他
    LEFT(12, 1),
    RIGHT(13, 2),
    STRAIGHT(11, 3),
    TURN(31, 4),
    // 行人
    OTHER(99, 20),
    // 行人
    OTHER1(98, 20);
    private Integer hisenseTurn;
    private Integer wjTurn;

    public static Integer getWjTurn(Integer hisenseTurn) {
        for (DataBrainTurnEnum value : DataBrainTurnEnum.values()) {
            if (Objects.equals(hisenseTurn, value.getHisenseTurn())) {
                return value.getWjTurn();
            }
        }
        return null;
    }
}

